# $Revision: 1.9 $, $Date: 2004/05/09 05:31:53 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Lingua
%define	pnam	PT-Stemmer
Summary:	Lingua::PT::Stemmer - Portuguese language stemming
Summary(pl):	Lingua::PT::Stemmer - okrelanie rdzeni sw w jzyku portugalskim
Name:		perl-Lingua-PT-Stemmer
Version:	0.01
Release:	3
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	74523d7da59dabbf561fa5cf60f98d02
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module implements a Portuguese stemming algorithm proposed in the
paper "A Stemming Algorithm for the Portuguese Language" by V. Moreira
and C. Huyck.

%description -l pl
Ten modu zawiera implementacj algorytmu okrelania rdzeni sw dla
jzyka portugalskiego zaproponowany w artykule V. Moreira'y i C Huycka
"A Stemming Algorithm for the Portuguese Language" ("Algorytm
okrelania rdzeni sw dla jzyka portugalskiego").

%package -n perl-Lingua-GL-Stemmer
Summary:	Lingua::GL::Stemmer - Galician language stemmer
Summary(pl):	Lingua::GL::Stemmer - okrelanie rdzeni sw w jzyku galicyjskim
Group:		Development/Languages/Perl

%description -n perl-Lingua-GL-Stemmer
Galician is an endangered language spoken in northwest region of
Spain. Galician is morphologically similar to Portuguese but phonetics
differs greatly. Due to the morphological similarity between
Portuguese and Galician, Portuguese stemming algorithm can be adopted
to stem Galician texts.

%description -n perl-Lingua-GL-Stemmer -l pl
Jzyk galicyjski jest gincym jzykiem, ktrym mwi si w pnocnej
Hiszpanii. Jzyk galicyjski jest morfologicznie podobny do
portugalskiego lecz bardzo rni si wymow. Ze wzgldu na
podobiestwo morfologiczne pomidzy potrugalskim a galicyjskim, mona
stosowa dla jzyka galicyjskiego ten sam algorytm okrelania rdzeni
sw, co dla jzyka portugalskiego.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Lingua/PT
%{_mandir}/man3/*PT*

%files -n perl-Lingua-GL-Stemmer
%defattr(644,root,root,755)
%{perl_vendorlib}/Lingua/GL
%{_mandir}/man3/*GL*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Lingua-PT-Stemmer.spec,v $
Revision 1.9  2004/05/09 05:31:53  ankry
- BR fixes, rel. 3

Revision 1.8  2004/04/25 06:25:08  ankry
- cosmetics: unification

Revision 1.7  2004/04/22 15:01:17  ankry
- license fixes and unification

Revision 1.6  2004/04/20 23:59:32  ankry
- ported to new bconds

Revision 1.5  2003/09/09 10:24:40  ankry
- spaces -> tab

Revision 1.4  2003/05/28 13:00:46  malekith
- massive attack: source-md5

Revision 1.3  2003/05/25 06:24:43  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.2  2003/04/14 23:52:48  ankry
- should be ready for perl-5.8
- rel. 2

Revision 1.1  2003/04/13 19:57:30  ankry
- new, for ra
